Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
events
List Exam Events
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/events \
  --header 'token: <api-key>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Application install sid

Pattern: ^AI[a-f0-9]{32}$
examSid
string
required

Exam Sid

Pattern: ^EX[a-f0-9]{32}$

Query Parameters

offset
integer

Offset for pagination

Required range: x >= 0
limit
integer
default:50

Number of items to return

Required range: x >= 0
sortKeys
enum<string>[]

Sort keys

Available options:
createdDate
sortOrder
enum<string>
default:ASC

Sort order

Available options:
ASC,
DESC
status
enum<string>

Event status

Available options:
Open,
Closed

Response

default - application/json

Successful

The response is of type string.